﻿using UnityEngine;

public class PlayerFootstep : MonoBehaviour
{
    /// <summary>
    /// gameiino.com / store.gameiino.com / play.gameiino.com / سایت های ما
    /// t.me/gameiino_learning / t.me/gameiino_play / t.me/gameiino_store / کانال های ما در فضای مجازی
    /// <summary>

    private AudioSource _audiosource;
    [SerializeField] private AudioClip _footstepRightSFX;
    [SerializeField] private AudioClip _footstepLeftSFX;

    void Awake()
    {
        _audiosource = GetComponent<AudioSource>();
    }

    private void _PlayFootstepRight()
    {
        _audiosource.PlayOneShot(_footstepRightSFX);
    }

    private void _PlayFootstepLeft()
    {
        _audiosource.PlayOneShot(_footstepLeftSFX);
    }
}
